summaryrefslogtreecommitdiff
path: root/pcr/cronjobs/man-db
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2017-03-17 09:49:11 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2017-03-17 09:49:11 -0500
commit84b120a57fd378584de559413c6f921d937cee52 (patch)
treed3898098b3ae0cdc18e49350eafaf15c8abee6c6 /pcr/cronjobs/man-db
parent1385f50eb6ff04e2ec0f53901940e32cfcc41595 (diff)
downloadabslibre-84b120a57fd378584de559413c6f921d937cee52.tar.gz
abslibre-84b120a57fd378584de559413c6f921d937cee52.tar.bz2
abslibre-84b120a57fd378584de559413c6f921d937cee52.zip
cronjobs: add new package to [pcr]
Diffstat (limited to 'pcr/cronjobs/man-db')
-rwxr-xr-xpcr/cronjobs/man-db39
1 files changed, 39 insertions, 0 deletions
diff --git a/pcr/cronjobs/man-db b/pcr/cronjobs/man-db
new file mode 100755
index 000000000..9b4abd894
--- /dev/null
+++ b/pcr/cronjobs/man-db
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# nicenesses range from -20 (most favorable scheduling) to 19 (least favorable)
+NICE=19
+
+# 0 for none, 1 for real time, 2 for best-effort, 3 for idle
+IONICE_CLASS=2
+
+# 0-7 (for IONICE_CLASS 1 and 2 only), 0=highest, 7=lowest
+IONICE_PRIORITY=7
+
+UPDATEMANDB="/usr/bin/mandb --quiet"
+
+# Update the "whatis" database
+#/usr/bin/makewhatis -u -w
+
+# taken from Debian
+# man-db cron daily
+set -e
+
+if ! [ -d /var/cache/man ]; then
+ # Recover from deletion, per FHS.
+ mkdir -p /var/cache/man
+ chmod 755 /var/cache/man
+fi
+
+# regenerate man database
+
+if [ -x /usr/bin/nice ]; then
+ UPDATEMANDB="/usr/bin/nice -n ${NICE:-19} ${UPDATEMANDB}"
+fi
+
+if [ -x /usr/bin/ionice ]; then
+ UPDATEMANDB="/usr/bin/ionice -c ${IONICE_CLASS:-2} -n ${IONICE_PRIORITY:-7} ${UPDATEMANDB}"
+fi
+
+${UPDATEMANDB}
+
+exit 0